Subject: Re: bug#30920: doc: Inconsistent parentheses in "(guile) sxml-match"

From: Ludovic Courtès <[email-masked]>
Date: Sat, 21 Mar 2020 22:34:35 +0100

Hi Arun,

Arun Isaac <[email-masked]> skribis:

> All examples in "(guile) sxml-match" use square parentheses around each
> match clause. However, in the subsection "Guards in Patterns" alone, the
> example has round parentheses. I think it would be nice to use round
> parentheses consistently in all examples so that sxml-match and match
> have the same syntax. But, I have no strong opinions. If you can
> recommend which way to go, I can provide a patch for the same.

That documentation comes from Racket-land IIRC, hence the style.

I agree with you that consistency would be nice and a patch in that
direction would be welcome!

Ludo’.